Package org.springframework.cloud.task.batch.autoconfigure.jdbc

# Class JdbcBatchItemWriterProperties

java.lang.Object
org.springframework.cloud.task.batch.autoconfigure.jdbc.JdbcBatchItemWriterProperties

@ConfigurationProperties(prefix="spring.batch.job.jdbcbatchitemwriter") public class JdbcBatchItemWriterProperties extends Object
Properties to configure a `JdbcBatchItemWriter`.

Since:
  2.3
Author:
  Glenn Renfro

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JdbcBatchItemWriterProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the configured value of the name used to calculate `ExecutionContext` keys.
  `String`
  `getSql()`
  `boolean`
  `isAssertUpdates()`
  `void`
  `setAssertUpdates(boolean assertUpdates)`
  If set to true, confirms that every insert results in the update of at least one row in the database.
  `void`
  `setName(String name)`
  The name used to calculate the key within the `ExecutionContext`.
  `void`
  `setSql(String sql)`
  Sets the sql statement to be used to update the database.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JdbcBatchItemWriterProperties

    public JdbcBatchItemWriterProperties()

- ## Method Details

  - ### getSql

    public String getSql()
    Returns:
      The current sql statement used to update the database.

  - ### setSql

    public void setSql(String sql)
    Sets the sql statement to be used to update the database.
    Parameters:
      `sql` - the sql statement to be used.

  - ### isAssertUpdates

    public boolean isAssertUpdates()
    Returns:
      if returns true then each insert will be confirmed to have at least one insert in the database.

  - ### setAssertUpdates

    public void setAssertUpdates(boolean assertUpdates)
    If set to true, confirms that every insert results in the update of at least one row in the database. Defaults to True

  - ### getName

    public String getName()
    Returns the configured value of the name used to calculate `ExecutionContext` keys.
    Returns:
      the name

  - ### setName

    public void setName(String name)
    The name used to calculate the key within the `ExecutionContext`.
    Parameters:
      `name` - name of the writer instance
    See Also:
      - `ItemStreamSupport.setName(String)`